import React from 'react';
import { PisellCountdown } from '@pisell/materials';
import { locales } from '@pisell/utils';
import "./index.less";
/**
 * @title: 支付倒计时
 * @description:
 * @param {*} param1
 * @return {*}
 * @Author: zhiwei.Wang
 * @Date: 2024-08-16 10:51
 */
var PayCountdown = function PayCountdown(_ref) {
  var _ref$time = _ref.time,
    time = _ref$time === void 0 ? 0 : _ref$time;
  return /*#__PURE__*/React.createElement("div", {
    className: "pay-countdown"
  }, /*#__PURE__*/React.createElement("span", {
    className: "countdown-title"
  }, locales.getText('tocPay.text.completePaymentIn'), ' '), /*#__PURE__*/React.createElement(PisellCountdown, {
    className: "countdown-time",
    leftTime: time * 1000,
    format: "mm:ss"
  }));
};
export default PayCountdown;